<?
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {

  header('location: /');
    
exit;

}

switch($_GET['action']) {
  default:
  
  $title = 'Лаборатория';    
  
  include './system/h.php';

?>

<div class='title'><?=$title?></div>
 <div class='line'></div>
<div class='menu'>
  <li align='center'><img src='/images/town/lab2.png' alt='*'/></li>
  <li class='no_b' align='center'><font color='#90b0c0'>В лаборатории можно усилить своего персонажа</font></li>
</div>
 <div class='line'></div>
<div class='list'>
  <li><a href='/lab/wiz/'><img src='/images/icon/wiz.png' alt='*'/> Колдун </li></a>
  <li class='no_b'><a href='/lab/premium/'><img src='/images/icon/premium.png' alt='*'/> Благословение</li></a>

</div>
<?

include './system/f.php';

  break;
  case 'wiz':

$title = 'Колдун';

include './system/h.php';

if($_GET['potion'] == true) {
    
  if($user['g'] < 15) $errors[] = 'Ошибка, нехватает <img src=\'/images/icon/g.png\' alt=\'*\'/> '.(15 - $user['g']).' золота<div class=\'separator\'></div><a href=\'/trade/\' class=\'button\'>Купить</a>';

  if($errors) {

    echo '<div class=\'content\' align=\'center\'>';
    
    foreach($errors as $error) {
      
      echo $error.'<br/>';
      
    }
  
    echo '</div>
<div class=\'line\'></div>';

  }
  else
  {


    mysql_query('UPDATE `users` SET `g` = `g` - 15,
    
                                      `hp` = \''.($user['vit'] * 2).'\',
    
                                      `mp` = \''.$user['mana'].'\' WHERE `id` = \''.$user['id'].'\'');


    $referal = _string($_GET['referal']);
    
    if($referal) {
    
      header('location: '.$referal);

    }
    else
    {
    
      header('location: /lab/wiz/');
    
    }
  
  }

}

echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <img src=\'/images/town/wizard.png\' alt=\'*\'/>
</div>
<div class=\'line\'></div>
<div class=\'content\'>
  <table cellpadding=\'0\' cellspacing=\'0\'>
  <tr>
  <td><img src=\'/images/alchemy/potion.png\' alt=\'*\'/></td>
  <td valign=\'top\' style=\'padding-left: 5px;\'><b>Настойка бодрости</b><br/>
  <small><small>+100% маны и жизни</small></small></td>
  </tr></table>
  <div class=\'separator\'></div>
  <div align=\'center\'>
    <a href=\'/lab/wiz/?potion=true\' class=\'button\'>Купить</a><br/><br/>
    <font color=\'#909090\'>Цена: <img src=\'/images/icon/g.png\' alt=\'*\'/> 15 золота</font>
  </div>
</div>';

include './system/f.php';
       break;
  case 'premium':

$title = 'Благославение';

include './system/h.php';

if($_GET['buy'] == true) {
  
  if($premium) $errors[] = 'Ошибка, вы уже активировали благославение';
  
  if($user['g'] < 100) $errors[] = 'Ошибка, нехватает <img src=\'/images/icon/g.png\' alt=\'*\'/> '.(100 - $user['g']).' золота<div class=\'separator\'></div><a href=\'/trade/\' class=\'button\'>Купить</a>';
  
  if($errors) {
    
    echo '<div class=\'content\' align=\'center\'>';
    
    foreach($errors as $error) {
      
      echo $error.'<br/>';
      
    }
  
    echo '</div>
<div class=\'line\'></div>';
  
  }
  else
  {

    mysql_query('UPDATE `users` SET `g` = `g` - 100 WHERE `id` = \''.$user['id'].'\'');
      
    mysql_query('INSERT INTO `premium` (`user`,
                                        `time`) VALUES ("'.$user['id'].'",
                                            "'.(time() + (72 * 60* 60)).'")'); 

    mysql_query('UPDATE `users` SET `str` = `str` + 200,
                                    `vit` = `vit` + 200,
                                    `agi` = `agi` + 200,
                                    `def` = `def` + 200 
									WHERE `id` = \''.$user['id'].'\'');

    header('location: /lab/premium/');
  
  }

}

echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <img src=\'/images/town/prem-'.($premium ? 'on':'off').'.png\' alt=\'*\'/></li>
</div>
<div class=\'line\'></div>
<div class=\'menu\'>
  <li align=\'center\'><font color=\'#90c090\'>+200</font> ко всем параметрам<br/>
  <font color=\'#90c090\'>+25%</font> к опыту<br/>
  <font color=\'#90c090\'>Время действия - 3 дня</font> 
  
  </li>
  <li class=\'no_b\' align=\'center\'> '.($premium ? 'Осталось: '._time($premium['time'] - time()):'<a href=\'/lab/premium/?buy=true\' class=\'button\'>Купить</a><br/><br/>
  <font color=\'#909090\'>Цена: <img src=\'/images/icon/g.png\' alt=\'*\'/> 100 золота</font>').'</li>
</div>';

include './system/f.php';
       break;

}

?>